TO-DO
=====

* [ ] Need more feedback.
* [ ] Allow to customize --configure
    * [ ] Configure memory split
    * [ ] Creation of `.bcm-workspace`

On going
========


### Compute SD device name: SD DEV NAME

```bash
ls -l --color /dev/disk/by-id/
ls -l --color /dev/disk/by-label/
```


```bash
for DEV in /sys/block/* ; do
  if [ -d "${DEV}/device" ] ; then
    echo "${DEV}"
    ls -la --color "${DEV}/device/"
   fi
done
```

A good candidate

```bash
function get_SD_device {
  (
  for BDEV in /sys/block/* ; do
    if [ -f "${BDEV}/device/type" ] ; then
      echo "$( basename "${BDEV}" ):$( cat "${BDEV}/device/type" ) "
     fi
  done
  ) | grep ':SD' | cut -d ':' -f1
}

SDDEV="$( get_SD_device )"
echo "# ${SDDEV}"
if [ -z "${SDDEV}" ] ; then echo "#NOSD" ; else ls -l --color "/dev/${SDDEV}"* ; fi
```
